<?php
/**
 * This is the file used for the [subscription_details] shortcode when being viewed by a
 * group member who is not the owner
 */

global $rcp_load_css, $rcp_options;

$rcp_load_css = true;

$can_remove = ! empty( $rcp_options['groups_allow_member_removal'] );

do_action( 'rcp_subscription_details_top' );  ?>
<table class="rcp-table" id="rcp-account-overview">
	<thead>
		<tr>
			<th><?php _e( 'Group Status', 'rcp-group-accounts' ); ?></th>
			<th><?php _e( 'Group Membership', 'rcp-group-accounts' ); ?></th>
			<?php if( rcp_is_recurring() && ! rcp_is_expired() ) : ?>
			<th><?php _e( 'Group Renewal Date', 'rcp-group-accounts' ); ?></th>
			<?php else : ?>
			<th><?php _e( 'Group Expiration', 'rcp-group-accounts' ); ?></th>
			<?php endif; ?>
			<?php if ( $can_remove ) : ?>
				<th><?php _e( 'Group Actions', 'rcp-group-accounts' ); ?></th>
			<?php endif; ?>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td data-th="<?php esc_attr_e( 'Group Status', 'rcp-group-accounts' ); ?>"><?php rcp_print_status(); ?></td>
			<td data-th="<?php esc_attr_e( 'Group Membership', 'rcp-group-accounts' ); ?>"><?php echo rcp_get_subscription(); ?></td>
			<td data-th="<?php echo ( rcp_is_recurring() && ! rcp_is_expired() ) ? esc_attr__( 'Group Renewal Date', 'rcp-group-accounts' ) : esc_attr__( 'Group Expiration', 'rcp-group-accounts' ); ?>"><?php echo rcp_get_expiration_date(); ?></td>
			<?php if ( $can_remove ) : ?>
				<td data-th="<?php esc_attr_e( 'Group Actions', 'rcp-group-accounts' ); ?>">
					<a href="<?php echo esc_url( wp_nonce_url( add_query_arg( 'rcpga-action', 'leave-group' ), 'rcpga_leave_group' ) ); ?>" class="rcpga-leave-group"><?php _e( 'Leave Group', 'rcp-group-accounts' ); ?></a>
				</td>
			<?php endif; ?>
		</tr>
	</tbody>
</table>
<?php do_action( 'rcp_subscription_details_bottom' );

// Add a confirm dialog to the leave link.
if ( $can_remove ) {
	?>
	<script>
		var remove_link = document.querySelector(".rcpga-leave-group");

		if ( remove_link ) {

			remove_link.addEventListener("click", function(event) {
				event.preventDefault();

				var message = '<?php _e( 'Are you sure you wish to leave this group?', 'rcp-group-accounts' ); ?>';
				var confirmed = confirm( message );

				if ( true === confirmed ) {
					location.assign(event.target.href);
				} else {
					return false;
				}
			});

		}
	</script>
	<?php
}